org.springframework.context.annotation

## Interface ConditionContext

-     public interface ConditionContext

  Context information for use by `Condition`s.
  Since:
    4.0
  Author:
    Phillip Webb

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfigurableListableBeanFactory` | `getBeanFactory()` Return the `ConfigurableListableBeanFactory` that will hold the bean definition should the condition match or `null` if the bean factory is not available.
    `ClassLoader` | `getClassLoader()` Return the `ClassLoader` that should be used to load additional classes or `null` if the default classloader should be used.
    `Environment` | `getEnvironment()` Return the `Environment` for which the current application is running or `null` if no environment is available.
    `BeanDefinitionRegistry` | `getRegistry()` Return the `BeanDefinitionRegistry` that will hold the bean definition should the condition match or `null` if the registry is not available.
    `ResourceLoader` | `getResourceLoader()` Return the `ResourceLoader` currently being used or `null` if the resource loader cannot be obtained.

- - ### Method Detail

    - #### getRegistry

          BeanDefinitionRegistry getRegistry()

      Return the `BeanDefinitionRegistry` that will hold the bean definition should the condition match or `null` if the registry is not available.
      Returns:
        the registry or `null`

    - #### getBeanFactory

          ConfigurableListableBeanFactory getBeanFactory()

      Return the `ConfigurableListableBeanFactory` that will hold the bean definition should the condition match or `null` if the bean factory is not available.
      Returns:
        the bean factory or `null`

    - #### getEnvironment

          Environment getEnvironment()

      Return the `Environment` for which the current application is running or `null` if no environment is available.
      Returns:
        the environment or `null`

    - #### getResourceLoader

          ResourceLoader getResourceLoader()

      Return the `ResourceLoader` currently being used or `null` if the resource loader cannot be obtained.
      Returns:
        a resource loader or `null`

    - #### getClassLoader

          ClassLoader getClassLoader()

      Return the `ClassLoader` that should be used to load additional classes or `null` if the default classloader should be used.
      Returns:
        the class loader or `null`